> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider By Id

> Gets Provider by its id



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/provider/{provider_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/provider/{provider_id}:
    get:
      tags:
        - Provider
      summary: Get Provider By Id
      description: Gets Provider by its id
      operationId: get_provider_by_id_api_v1_provider__provider_id__get
      parameters:
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Provider Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IProviderRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IProviderRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IProviderRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IProviderRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IProviderRead:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        provider_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Key
        provider_name:
          anyOf:
            - $ref: '#/components/schemas/IProviderEnum'
            - type: 'null'
          default: openai
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        status:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Status
          default: true
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - name
        - provider_key
        - id
      title: IProviderRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IProviderEnum:
      type: string
      enum:
        - openai
        - elevenlabs
        - azure_speech
        - cartesia
        - playht
      title: IProviderEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````